Last modified: 2013-08-12 15:44:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43377 - account name to similar should specify if other account is non-local
account name to similar should specify if other account is non-local
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
master
All All
: Normal normal (vote)
: ---
Assigned To: Nemo
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2012-12-24 06:35 UTC by Riley Huntley
Modified: 2013-08-12 15:44 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Riley Huntley 2012-12-24 06:35:40 UTC
When creating an account, I have noticed a few times that it says the account is too similar to another account. While this is not a problem for me as I am an account creator, I have noticed that the similar account reported does NOT exist. 

Here is the error notice: 
http://puu.sh/1Dxu9 
Here is the account:
http://puu.sh/1Dxuk

"User account "Hamed-eng" is not registered"
Comment 1 TyA 2012-12-24 06:38:55 UTC
There does exist a global account for "Hamed-eng" though.
Comment 2 Bawolff (Brian Wolff) 2012-12-24 06:39:48 UTC
User:Hamed-eng is an account registered at fa.wikipedia.org ( https://en.wikipedia.org/wiki/Special:CentralAuth/Hamed-eng ). I don't think this is a bug. Closing as invalid.
Comment 3 Bawolff (Brian Wolff) 2012-12-24 06:45:25 UTC
Actually on second thought - Well the behaviour is correct, the error message is clearly confusing. re-opening since the error message should be more clear.
Comment 4 Riley Huntley 2012-12-24 06:47:39 UTC
Sorry about that, the conflicting account was not detected on ACC and I never thought to check the SUL. Thanks for re-opening to fix the error message though
Comment 5 Bawolff (Brian Wolff) 2012-12-24 07:49:27 UTC
changing component to CentralAuth (The CentralAuth ext has the glue code linking centralAuth and AntiSpoof, so I think that's where the message change would have to be made)
Comment 6 Dereckson 2012-12-24 13:13:24 UTC
What do you offer as better and clearer formulation?
Comment 7 Dereckson 2012-12-24 13:15:04 UTC
[ Adding to tracking bug 38638 ]
Comment 8 Gerrit Notification Bot 2013-08-11 10:23:51 UTC
Change 78651 had a related patch set uploaded by Nemo bis:
Remove unclear "existing" from antispoof-conflict-top

https://gerrit.wikimedia.org/r/78651
Comment 9 Gerrit Notification Bot 2013-08-12 15:44:34 UTC
Change 78651 merged by jenkins-bot:
Remove unclear "existing" from antispoof-conflict-top

https://gerrit.wikimedia.org/r/78651

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links